### Virtual Method

# Foundry Debugger interrupt

deprecated: 1.1

#### Declaration [src]

    DexFuture*
    interrupt (
      FoundryDebugger* self
    )

#### Description [src]

This should cause the child process to pause.

Use `foundry_debugger_thread_interrupt()` in new code.

Deprecated since: 1.1

Please do not use it in newly written code.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.